Bug 99745

Summary: print/cups: CUPS 1.2.0_x: Unable to open parallel port device file "/dev/lpt0": Permission denied
Product: Ports & Packages Reporter: Osamu Hasegawa <kdn_pc215hqj11010>
Component: Individual Port(s)Assignee: Ion-Mihai "IOnut" Tetcu <itetcu>
Status: Closed FIXED    
Severity: Affects Only Me    
Priority: Normal    
Version: Latest   
Hardware: Any   
OS: Any   
Attachments:
Description Flags
cups-base.diff none

Description Osamu Hasegawa 2006-07-03 13:40:04 UTC
CUPS 1.2.0 with parallel port printer has a same issue as ports/99460.

/usr/local/etc/cups/printers.conf is as follows.

------
<DefaultPrinter MJ-800C>
Info MJ-800C
DeviceURI parallel:/dev/lpt0
State Idle
StateTime 1151906919
Accepting Yes
Shared No
JobSheets none none
QuotaPeriod 0
PageLimit 0
KLimit 0
OpPolicy default
ErrorPolicy stop-printer
</Printer>
------

The following error is found in /var/log/cups/error_log.
"Unable to open parallel port device file "/dev/lpt0": Permission denied"

Fix: 

Similar to ports/99460 ports/99624/.

Add following lines to /etc/devfs.rules:

[system=10]
add path 'lpt*' mode 0660 group cups

And following to /etc/rc.conf:

devfs_system_ruleset="system"
Comment 1 Edwin Groothuis freebsd_committer 2006-07-03 13:41:10 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback
Comment 2 Ion-Mihai "IOnut" Tetcu freebsd_committer 2006-07-03 14:59:07 UTC
Responsible Changed
From-To: freebsd-ports-bugs->itetcu

I'll take it.
Comment 3 Sergey Akifyev 2006-07-04 11:54:27 UTC
On ÐÎ, 2006-07-03 at 12:41 +0000, Edwin Groothuis wrote:
> Maintainer of print/cups,
> 
> Please note that PR ports/99745 has just been submitted.
> 
> If it contains a patch for an upgrade, an enhancement or a bug fix
> you agree on, reply to this email stating that you approve the patch
> and a committer will take care of it.
> 

Attached .diff file is based on ports/99624.
Thanks to it's author Marcin Wisnicki .

Pr's 99624, 99707 and this can be closed.


> The full text of the PR can be found at:
>     http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/99745
> 
-- 
regards,
Sergey Akifyev
AGAVA Software Ltd <http://agava.com>
PGP key available from:
ftp://ftp.gascom.ru/pub/PGP-keys/asa.txt
Comment 4 Ion-Mihai "IOnut" Tetcu freebsd_committer 2006-07-07 21:27:31 UTC
State Changed
From-To: feedback->patched

Should be fixed by patch in ports/99624
Comment 5 Ion-Mihai "IOnut" Tetcu freebsd_committer 2006-08-06 10:16:26 UTC
State Changed
From-To: patched->closed

Update to 1.2.2 and many fixes commiter. If problems perssist please 
open a new PR. Thanks for your effort.